class pe_metrics::server::db (
  $influxdb_port = 9000,
  $graphite_port = 2003,
  $collectd_port = 25826,
  $database      = 'performance',
){

  class { 'influxdb::server':
    api_port      => $influxdb_port,
    input_plugins => {
      'input_plugins.graphite' => {
        enabled  => true,
        port     => $graphite_port,
        database => $database,
      },
      'input_plugins.collectd' => {
        enabled  => true,
        port     => $collectd_port,
        database => $database,
        typesdb  => '/usr/share/collectd/types.db',
      }
    }
  }

  # This file is not managed by the influxdb module
  # but needs to be removed to enable the 
  # file containing our desired configuration
  file { '/opt/influxdb/current/config.toml':
    ensure  => absent,
    notify  => Service['influxdb'],
  }

  pe_metrics::server::db::database { $database: }

}
